<template>
  <div
    class="col-sm-12 col-md-6 auth-bg-left align-items-center justify-content-center"
  >
    <div class="h-100 d-flex align-items-center flex-column">
      <div class="logo-container p-4">
        <img src="@/assets/img/logo.png" alt="Main Logo" style="height: 50px" />
      </div>
      <div class="form-container mt-4 p-4">
        <div class="form-head d-flex align-items-center">
          <!-- <img src="@/assets/img/profile-img.png" alt="Profile Image" /> -->
          <div class="">
            <h2 class="fw-bold">
              Open
              {{ accountType === 'personal' ? 'an' : 'a Business' }} Account
            </h2>
          </div>
        </div>
        <div class="progress my-4" style="height: 3px">
          <div
            class="progress-bar bg-primary"
            role="progressbar"
            style="width: 45%"
          ></div>
        </div>
        <div class="my-3">
          <div class="d-flex">
            <div class="pe-3 py-3">
              <div class="form-check">
                <input
                  id="personalAccount"
                  v-model="accountType"
                  class="form-check-input"
                  type="radio"
                  value="personal"
                  name="accountType"
                />
                <label class="form-check-label" for="personalAccount">
                  Personal
                </label>
              </div>
            </div>
            <div class="pe-3 py-3">
              <div class="form-check">
                <input
                  id="coperateAccount"
                  v-model="accountType"
                  class="form-check-input"
                  type="radio"
                  value="coperate"
                  name="accountType"
                />
                <label class="form-check-label" for="coperateAccount">
                  Business
                </label>
              </div>
            </div>
          </div>
        </div>
        <div class="form-meta mb-3">
          <h4 class="fw-bold">BVN Verification</h4>
          <p>
            Enter your BVN for verification before proceeding with the opening
            of the account
          </p>
        </div>
        <form @submit.prevent="submitForm()">
          <div class="form-group">
            <div class="form-input mb-3">
              <label for="formBVN">BVN</label>
              <input
                id="formBVN"
                v-model="form.bvn"
                v-validate="'required'"
                type="text"
                class="form-control"
                placeholder="Enter BVN"
                name="BVN"
              />
              <div v-show="verrors.has('BVN')" class="invalid-feedback">
                {{ verrors.first('BVN') }}
              </div>
            </div>
            <div class="form-input mb-3">
              <label for="formReferralCode">Referral Code</label>
              <input
                id="formReferralCode"
                v-model="form.referalCode"
                v-validate="'min:4'"
                type="text"
                class="form-control"
                placeholder="Enter Referral Code"
                name="Referral Code"
              />
              <div
                v-show="verrors.has('Referral Code')"
                class="invalid-feedback"
              >
                {{ verrors.first('Referral Code') }}
              </div>
            </div>
          </div>
          <div class="mt-5">
            <vs-button type="submit" circle block> Next </vs-button>

            <div class="my-3 text-center">
              <p
                class="fw-bold text-decoration-none text-primary"
                @click="redirectToPersonalInfo()"
              >
                Skip
              </p>
            </div>
          </div>
        </form>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  layout: 'open-account-layout',
  middleware: 'auth-pages',
  data: () => ({
    form: {
      loading: false,
    },
    accountType: 'personal',
  }),
  created() {
    // console.log(this.$route.query)
    if (this.$route.query && this.$route.query.refferal) {
      this.form.referalCode = this.$route.query.refferal
    }
  },
  methods: {
    submitForm() {
      this.$validator.validateAll().then((result) => {
        if (result) {
          if (this.accountType === 'personal') {
            this.$store.commit('auth/UPDATE_AUTH_DATA', this.form)
            this.redirectToPersonalInfo()
          } else if (this.accountType === 'coperate') {
            this.$store.commit('auth/UPDATE_AUTH_DATA', this.form)
            this.redirectToPersonalInfo()
          }
        }
      })
    },
    redirectToPersonalInfo() {
      if (this.accountType === 'personal') {
        this.$store.commit('auth/UPDATE_AUTH_DATA', this.form)
      } else if (this.accountType === 'coperate') {
        this.$store.commit('auth/UPDATE_AUTH_DATA', this.form)
      }

      if (this.accountType === 'personal') {
        this.$router.push('/auth/open-account/personal-info')
      } else if (this.accountType === 'coperate') {
        window.location = '/auth/open-account/corperate/personal-info'
      }
    },
  },
}
</script>

<style lang="scss">
@import '~@/assets/scss/index';
@import '~@/assets/scss/variables';
</style>
